Loading...
Searching...
No Matches
SmartFactorParams.h File Reference

Collect common parameters for SmartProjection and SmartStereoProjection factors. More...

Go to the source code of this file.

## Classes

struct | gtsam::SmartProjectionParams

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Enumerations

enum | gtsam::LinearizationMode { HESSIAN , IMPLICIT_SCHUR , JACOBIAN_Q , JACOBIAN_SVD }
| SmartFactorParams: parameters and (linearization/degeneracy) modes for SmartProjection and SmartStereoProjection factors. More...
enum | gtsam::DegeneracyMode { IGNORE_DEGENERACY , ZERO_ON_DEGENERACY , HANDLE_INFINITY }
| How to manage degeneracy.

## Detailed Description

Collect common parameters for SmartProjection and SmartStereoProjection factors.

Author
  Luca Carlone
  Zsolt Kira
  Frank Dellaert